Package com.avaya.clientservices.messaging

## Interface SearchConversation

- All Superinterfaces:
    `Conversation`

      public interface SearchConversation
      extends Conversation

  Interface for conversation returned from `MessagingService.searchConversations(DataRetrievalWatcher, MessagingQuery)` operation.

  This is a conversation object used for instances returned by a search operation. The difference is that the messages of this conversation are not stored in the main data model, that is, returned in DataRetrievals.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Conversation` | `getBaseConversation()` | Returns reference to the conversation object corresponding to this search conversation.
    `void` | `getSearchMessages​(DataRetrievalWatcher<Message> dataRetrievalWatcher)` | Gets a list of the messages contained in this conversation.
    `java.lang.String` | `getUniqueId()` | Returns the unique search conversation identifier.

    - ### Methods inherited from interface com.avaya.clientservices.messaging.Conversation

      `addComposingParticipantsListener, addListener, addParticipant, addParticipantAddresses, clearLocalAttachmentData, createMessage, getActiveParticipants, getAddParticipantsCapability, getComposingParticipants, getConversationType, getCreateMessageCapability, getId, getIsTypingCapability, getLastAccessedTime, getLastEntryTime, getLastUpdatedByParticipant, getLastUpdatedTime, getLeaveCapability, getMarkAllContentAsReadCapability, getMessageDeliveryStateCapability, getMessageReadStateCapability, getOlderContentCapability, getParticipants, getPreviewText, getProviderConversationId, getProviderType, getRemoveCapability, getRemoveParticipantCapability, getRemoveParticipantsCapability, getSensitivity, getStartCapability, getStatus, getSubject, getTotalAttachmentCount, getTotalMessageCount, getUnreadAttachmentCount, getUnreadMessageCount, getUpdateLastAccessTimeCapability, getUpdateSensitivityCapability, getUpdateSubjectCapability, getUpdateTypeCapability, hasAttachments, hasUnreadAttachments, hasUnreadMessages, hasUnreadMessagesSinceLastAccess, isActive, isClosed, isMultiParty, isParticipantActive, isPrivate, leave, markAllContentAsRead, removeComposingParticipantsListener, removeListener, removeMessage, removeParticipant, removeParticipantAddresses, retrieveMessages, retrieveMessagesAfter, retrieveMessagesBefore, setLastAccessTime, setSensitivity, setSubject, setType, start`

- - ### Method Detail

    - #### getBaseConversation

          Conversation getBaseConversation()

      Returns reference to the conversation object corresponding to this search conversation. If the underlying conversation is active and exists on the conversations list returned reference will point to the same object that exists on the conversations list.
      Returns:
        reference to the conversation object corresponding to this search conversation.

    - #### getSearchMessages

          void getSearchMessages​(DataRetrievalWatcher<Message> dataRetrievalWatcher)

      Gets a list of the messages contained in this conversation. This list represents all messages which have been, or are being, downloaded. This is not necessarily the entire historical message content of the conversation.
      Parameters:
        `dataRetrievalWatcher` - `DataRetrievalWatcher` object, created by the application, to track the progress of the requested operation.

    - #### getUniqueId

          java.lang.String getUniqueId()

      Returns the unique search conversation identifier.
      Returns:
        the unique search conversation identifier.